ttf-cjk-compact (1.19ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - po2ul.rb requires libgettext-ruby1.8, which isn't currently in Ubuntu
      main.  Reimplement in Python to reduce the build-dependency set.  As a
      bonus, this avoids a bug in Ruby's gettext parser (\\r in the middle
      of multibyte strings is sometimes incorrectly parsed as "backslash
      carriage-return" rather than "backslash r").
  * Restore build-dependency on ruby1.8, for makettf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 15:08:07 +0100

ttf-cjk-compact (1.19) unstable; urgency=low

  * update:
    - update {git,svn}.debian.org to anonscm.debian.org and its path
      if needed.
    - update popularity-contest, it now switches to svn
    - remove get_cvs function since it is unnecessary anymore
  * debian/rules
    - update font path (Closes: #646659) 
  * debian/control
    - Bump up Standards-Version: 3.9.2
    - update Build-Depends to deal with changes in font packages
  * Update at Sat Oct 29 21:58:46 UTC 2011

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 Oct 2011 06:58:46 +0900

ttf-cjk-compact (1.18ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - po2ul.rb pulls in a number of build-dependencies that aren't currently
      in Ubuntu main.  Reimplement in Python to reduce the build-dependency
      set.  As a bonus, this avoids a bug in Ruby's gettext parser (\\r in
      the middle of multibyte strings is sometimes incorrectly parsed as
      "backslash carriage-return" rather than "backslash r").

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 19:57:23 +0100

ttf-cjk-compact (1.18) unstable; urgency=low

  * update: 
    - change to fetch debconf po files from git.
    - add man-db to deal with displaying some wrong glyph with Japanese
  * Update at Sun Feb 27 07:57:40 UTC 2011
  * debian/control
    - Bump up Standards-Version: 3.9.1

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Feb 2011 16:59:23 +0900

ttf-cjk-compact (1.17ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - po2ul.rb pulls in a number of build-dependencies that aren't currently
      in Ubuntu main.  Reimplement in Python to reduce the build-dependency
      set.  As a bonus, this avoids a bug in Ruby's gettext parser (\\r in
      the middle of multibyte strings is sometimes incorrectly parsed as
      "backslash carriage-return" rather than "backslash r").

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 14:15:07 +0000

ttf-cjk-compact (1.17) unstable; urgency=high

  * Fix grab code of iso-codes. This bug caused missing Chinese characters
    in the graphical installer. (Closes: #603685)
  * Update at Tue Nov 16 13:18:54 UTC 2010

 -- Kenshi Muto <kmuto@debian.org>  Tue, 16 Nov 2010 22:18:54 +0900

ttf-cjk-compact (1.16ubuntu2) maverick; urgency=low

  * Remove po-files/iso-codes/*.po for now, since they're all empty and
    pkgstriptranslations doesn't like this.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 May 2010 12:38:16 +0100

ttf-cjk-compact (1.16ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - po2ul.rb pulls in a number of build-dependencies that aren't currently
      in Ubuntu main. Reimplement in Python to reduce the build-dependency
      set. As a bonus, this avoids a bug in Ruby's gettext parser (\\r in
      the middle of multibyte strings is sometimes incorrectly parsed as
      "backslash carriage-return" rather than "backslash r").

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 May 2010 11:55:47 +0100

ttf-cjk-compact (1.16) unstable; urgency=low

  * debian/control
    - update my address
    - set "Build-Depends: ttf-unfonts-core" (Closes: #580599)
    - set "Build-Depends: debhelper (>= 7.0.50~)"

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 May 2010 12:02:47 +0900

ttf-cjk-compact (1.15) unstable; urgency=low

  * fix po2ul.rb to work with updated libruby1.8-gettext
  * update "update" script, iso-codes repository now uses git.debian.org,
    and add quotation marks to gitweb URL to work. Also add "-q" option to each
    commands.
  * debian/compat
    - set 7
  * debian/control
    - set "Build-Depends: debhelper (>= 7.0.50)", not Build-Depends-Indep.
    - set "Build-Depends-Indep: ruby1.8" from ruby
    - Bump up Standards-Version: 3.8.4
    - add myself and drop Hidetaka Iwai <tyuyu@debian.or.jp> from Uploaders
    - adjust intend for descriptions
  * change debian/rules to dh7 style
  * use source format 3.0 (native)
  * add debian/ttf-cjk-compact-udeb.install
  * Update at Wed Mar 17 03:48:30 UTC 2010
  * Use ruby1.8 instead of ruby in makettf and po2ul.rb.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 17 Mar 2010 17:08:24 +0900

ttf-cjk-compact (1.14ubuntu1) jaunty; urgency=low

  * po2ul.rb pulls in a number of build-dependencies that aren't currently
    in Ubuntu main. Reimplement in Python to reduce the build-dependency
    set. As a bonus, this avoids a bug in Ruby's gettext parser (\\r in the
    middle of multibyte strings is sometimes incorrectly parsed as
    "backslash carriage-return" rather than "backslash r").

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 17:39:23 +0100

ttf-cjk-compact (1.14) unstable; urgency=low

  * The d-i translation status of Japanese, Traditional Chinese,
    Simplified Chinese, and Korean now become 100%.
    We're ready to release ttf-cjk-compact for RC1.
  * Update at Sat Sep 13 12:19:32 UTC 2008

 -- Kenshi Muto <kmuto@debian.org>  Sat, 13 Sep 2008 21:31:56 +0900

ttf-cjk-compact (1.13) unstable; urgency=medium

  * Fix FTBFS. ttf-arphic-uming changed its font from uming.ttf to
    uming.ttc (closes: #482255)
  * Take po files of d-i from every sublevel directores.
  * Update at Sun May 25 13:50:58 UTC 2008

 -- Kenshi Muto <kmuto@debian.org>  Sat, 13 Sep 2008 21:19:33 +0900

ttf-cjk-compact (1.12) unstable; urgency=low

  * Use deb file for dpkg.
  * Update at Sun Feb 17 13:16:16 UTC 2008
    - Fix missing some Hangul glyphs. (closes: #466194)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 17 Feb 2008 22:58:58 +0900

ttf-cjk-compact (1.11) unstable; urgency=high

  * Add extension .ff to the script ConvertFont name, adapting it to the new
    fontforge version. (Closes: #443043) Thanks Ana.
  * Update at Sun Sep 30 14:03:06 UTC 2007

 -- Kenshi Muto <kmuto@debian.org>  Sun, 17 Feb 2008 22:22:55 +0900

ttf-cjk-compact (1.10) unstable; urgency=low

  * Update at Fri Jul  6 00:07:37 UTC 2007

 -- Kenshi Muto <kmuto@debian.org>  Fri, 06 Jul 2007 09:07:38 +0900

ttf-cjk-compact (1.9) unstable; urgency=low

  * Added ppp, localization-config, and console-common to the target.
  * Update at Wed May 16 07:21:51 UTC 2007

 -- Kenshi Muto <kmuto@debian.org>  Wed, 16 May 2007 16:21:51 +0900

ttf-cjk-compact (1.8) unstable; urgency=high

  * Update zh.ttf to fix some missing glyphs.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 26 Oct 2006 04:34:49 +0000

ttf-cjk-compact (1.7) unstable; urgency=high

  * Release candidate 1 for Etch.
  * Use VL-Gothic 20061021 version for Japanese.
    This version fixes bold 0 character.
  * Update at Mon Oct 23 13:52:46 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Mon, 23 Oct 2006 22:52:47 +0900

ttf-cjk-compact (1.6) unstable; urgency=low

  * Use VL-Gothic for Japanese font. This font provides better faces
    than sazanami gothic.
  * Add apt, aptitude, dpkg, debconf, debconf/debian, exim4, newt,
    menu, samba/debian to the target packages.
  * Update at Mon Sep 18 14:02:08 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Mon, 18 Sep 2006 23:02:09 +0900

ttf-cjk-compact (1.5) unstable; urgency=medium

  * Some glyph used by d-i were missing.
  * Add popularity-contest, xorg, and dictionaries-common to the
    target packages. (well, this adhoc adding isn't a solution,
    absoletely...)
  * All fonts include code point 21-126.
  * Update at Thu Aug 31 00:14:59 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Thu, 31 Aug 2006 09:14:59 +0900

ttf-cjk-compact (1.4) unstable; urgency=low

  * Follow the location of console-data SVN.
  * Update at Wed Jul 19 09:53:13 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Wed, 19 Jul 2006 18:53:14 +0900

ttf-cjk-compact (1.3) unstable; urgency=low

  * Modify po2ul.rb to support newer libgettext-ruby1.8. (thanks Akira)
  * Update at Mon Apr 24 15:35:47 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Tue, 25 Apr 2006 00:35:47 +0900

ttf-cjk-compact (1.2) unstable; urgency=medium

  * Update at Thu Mar  2 12:52:19 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Thu,  2 Mar 2006 12:52:20 +0000

ttf-cjk-compact (1.1) unstable; urgency=low

  * Update at Tue Jan 10 23:05:31 UTC 2006

 -- Kenshi Muto <kmuto@debian.org>  Wed, 11 Jan 2006 08:05:32 +0900

ttf-cjk-compact (1.0) unstable; urgency=low

  * Initial Debian release. (closes: #344616)
  * Clean up unneccessary files from source to reduce the size.
  * Update at Sat Dec 24 03:23:29 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Sat, 24 Dec 2005 12:23:29 +0900

ttf-compact-fonts (1.10) unstable; urgency=low

  * uming.ttf refers CJK compatibility ideograph map.
    To avoid lacking glyph, I included CJK compatibility ideograph
    into zh.ttf (workaround).
  * Update at Fri Dec 23 01:00:58 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Fri, 23 Dec 2005 10:00:58 +0900

ttf-compact-fonts (1.9) unstable; urgency=low

  * OK, Ming agreed to use TrueType anti-alias.
    Now let's remove bitmap from zh.ttf.
  * Use newest fontforge.
  * Update at Mon Dec 19 11:57:24 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Mon, 19 Dec 2005 20:57:24 +0900

ttf-compact-fonts (1.8) unstable; urgency=low

  * Rebuild zh.ttf with 12,16 pixel bitmap.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Dec 2005 19:21:52 +0900

ttf-compact-fonts (1.7) unstable; urgency=low

  * Update at Wed Dec 14 06:39:13 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Dec 2005 06:39:13 +0000

ttf-compact-fonts (1.6) unstable; urgency=low

  * Argh, iso-codes is needed.
  * Update at Wed Dec  7 07:49:05 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Dec 2005 06:30:41 +0000

ttf-compact-fonts (1.5) unstable; urgency=low

  * Remove bitmap from Japanese sazanami font.
  * Update at Wed Dec  7 06:59:33 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Wed,  7 Dec 2005 06:59:33 +0000

ttf-compact-fonts (1.4) unstable; urgency=low

  * Add stripttf-with-bitmap to make TrueType with embedded bitmap.
    You can make TTF with bitmap font by "./makettf LANG TTF 1"

 -- Kenshi Muto <kmuto@debian.org>  Tue,  6 Dec 2005 19:36:31 +0900

ttf-compact-fonts (1.3) unstable; urgency=low

  * Argh, I mistook Hidetaka's name...

 -- Kenshi Muto <kmuto@debian.org>  Sat,  3 Dec 2005 22:43:33 +0900

ttf-compact-fonts (1.2) unstable; urgency=low

  * Removed garbage. (Thanks tyuyu)

 -- Kenshi Muto <kmuto@debian.org>  Sat,  3 Dec 2005 14:01:02 +0900

ttf-compact-fonts (1.1) unstable; urgency=low

  * Fix build-depends.
    If you'd like to update po files, you need to install subversion
    package and set up deb-src to take eject deb source.
    Then run "debian/rules po-update".

 -- Kenshi Muto <kmuto@debian.org>  Sat,  3 Dec 2005 13:33:57 +0900

ttf-compact-fonts (1.0) unstable; urgency=low

  * Initial release
  * Update at Sat Dec  3 03:26:31 UTC 2005

 -- Kenshi Muto <kmuto@debian.org>  Sat,  3 Dec 2005 12:26:32 +0900

